---
id: own-components
title: Overview
sidebar_label: Overview
slug: /your-own-components
---

Searchkit provides react components out the box which works with the Searchkit GraphQL API. This is ideal if you want to build a quick search experience. However, many do choose to build their own UI with searchkit. Here are some of the points why you may do the same.

#### Searchkit's React Components help:
- Build quickly a Search experience without needing deep React knowledge.
- Built on top of elastic's [open source UI framework](https://elastic.github.io/eui/#/).
- Provides components to provide functionality such as Filtering on keywords, dates and numeric ranges, Paginating, Sorting and searching.
- View complete demo of the components on the Searchkit's [demo site](https://demo.searchkit.co/).

#### With Searchkit's React components, you still can:
- Build your own [facet component](https://www.searchkit.co/docs/build-your-own-components/custom-ui-facet).
- Adjust the layout with [Elastic UI framework configuration](https://elastic.github.io/eui/#/) or your own custom CSS.

#### Advantages building your own components:
- You want to server-side render (SSR) your search site, an important point for SEO. See [SEO tips](https://www.searchkit.co/docs/guides/SEO-tips).
- You want to use your own styling / UI component framework.
- Elastic UI Framework is too large to use on a public site.
- You dont use React (could be Vue, swelte, Swift iOS etc).
